Bug 865011 - [abrt] freerdp-1.0.1-6.fc17: fatal_handler: Process /usr/bin/xfreerdp was killed by signal 11 (SIGSEGV)
[abrt] freerdp-1.0.1-6.fc17: fatal_handler: Process /usr/bin/xfreerdp was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freerdp (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
abrt_hash:9bbd6d9f46a6ecb3b71658caa77...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 11:42 EDT by Kevin Cousin
Modified: 2013-07-31 23:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:31:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.48 KB, text/plain)
2012-10-10 11:42 EDT, Kevin Cousin
no flags Details
File: environ (3.79 KB, text/plain)
2012-10-10 11:42 EDT, Kevin Cousin
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-10 11:42 EDT, Kevin Cousin
no flags Details
File: backtrace (19.45 KB, text/plain)
2012-10-10 11:42 EDT, Kevin Cousin
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-10 11:42 EDT, Kevin Cousin
no flags Details
File: maps (26.87 KB, text/plain)
2012-10-10 11:42 EDT, Kevin Cousin
no flags Details
File: dso_list (5.81 KB, text/plain)
2012-10-10 11:42 EDT, Kevin Cousin
no flags Details
File: open_fds (1006 bytes, text/plain)
2012-10-10 11:42 EDT, Kevin Cousin
no flags Details
File: var_log_messages (148 bytes, text/plain)
2012-10-10 11:42 EDT, Kevin Cousin
no flags Details

  None (edit)
Description Kevin Cousin 2012-10-10 11:42:07 EDT
Description of problem:
I Try to connect to a RDP Server

Version-Release number of selected component:
freerdp-1.0.1-6.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
crash_function: fatal_handler
kernel:         3.5.5-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #1 fatal_handler at /usr/src/debug/freerdp-1.0.1/libfreerdp-utils/signal.c:52
: #3 decompress_rdp_4 at /usr/src/debug/freerdp-1.0.1/libfreerdp-core/mppc.c:330
: #4 decompress_rdp at /usr/src/debug/freerdp-1.0.1/libfreerdp-core/mppc.c:182
: #5 fastpath_recv_update_data at /usr/src/debug/freerdp-1.0.1/libfreerdp-core/fastpath.c:256
: #6 fastpath_recv_updates at /usr/src/debug/freerdp-1.0.1/libfreerdp-core/fastpath.c:310
: #7 rdp_recv_fastpath_pdu at /usr/src/debug/freerdp-1.0.1/libfreerdp-core/rdp.c:762
: #8 rdp_recv_pdu at /usr/src/debug/freerdp-1.0.1/libfreerdp-core/rdp.c:770
: #9 rdp_recv_callback at /usr/src/debug/freerdp-1.0.1/libfreerdp-core/rdp.c:830
: #10 transport_check_fds at /usr/src/debug/freerdp-1.0.1/libfreerdp-core/transport.c:356
: #11 rdp_check_fds at /usr/src/debug/freerdp-1.0.1/libfreerdp-core/rdp.c:861
Comment 1 Kevin Cousin 2012-10-10 11:42:09 EDT
Created attachment 624967 [details]
File: core_backtrace
Comment 2 Kevin Cousin 2012-10-10 11:42:12 EDT
Created attachment 624968 [details]
File: environ
Comment 3 Kevin Cousin 2012-10-10 11:42:14 EDT
Created attachment 624969 [details]
File: limits
Comment 4 Kevin Cousin 2012-10-10 11:42:17 EDT
Created attachment 624970 [details]
File: backtrace
Comment 5 Kevin Cousin 2012-10-10 11:42:18 EDT
Created attachment 624971 [details]
File: cgroup
Comment 6 Kevin Cousin 2012-10-10 11:42:21 EDT
Created attachment 624972 [details]
File: maps
Comment 7 Kevin Cousin 2012-10-10 11:42:23 EDT
Created attachment 624973 [details]
File: dso_list
Comment 8 Kevin Cousin 2012-10-10 11:42:25 EDT
Created attachment 624974 [details]
File: open_fds
Comment 9 Kevin Cousin 2012-10-10 11:42:27 EDT
Created attachment 624975 [details]
File: var_log_messages
Comment 10 Fedora End Of Life 2013-07-03 20:07:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 23:31:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.